Verification Result

The Verification Result dialog box is displayed when you verify a signed file. If a file has multiple signatures then all the signatures are verified and the results displayed.

  • Signature details
    This list box displays the list of the verified signatures. The columns in the list are:

    • Signer
      The name of the person to whom the signing certificate belongs. On successful verification, a green check mark is displayed against it. If verification fails, a red cross is displayed. A blue cross is displayed if the status of any of the verification parameters is unknown.

    • Reason
      The reason for signing the file. This displays the Reason to sign as entered by the user during the Signing Ceremony.

    • Signing Time
      The time at which the file was signed. This is displayed only if the signer selected the Include Time Stamp into signature check box in the Signing Preferences dialog box.

    • Location
      The location at which the file was signed. This is displayed only if the signer entered this information in the Location option during the Signing Ceremony.

  • Signature Comment
    This displays any comments the signer has added in the Comments text box during the Signing Ceremony.

  • Signature Block
    This displays a complete block of the signing information which includes the signers name, the time, and place of signing. It also displays a graphical image of the signer's handwritten signature if this option was selected in the Signing Preferences dialog box.

The details displayed in the Signing Comments and the Signature Block depend on the selected Signer in the Signature details list box.

  • Verification Details...
    Click this button to view the verification details for the signer certificate selected in the Signature details list box.

  • Validate Certificate
    Click this button to validate the selected certificate.

  • Validate All Certificates
    Click this button to validate all the listed certificates.

  • Close
    This will exit the Verification Results dialog box.


Verification Details

E-Lock Technologies

Individual Verification Details

This dialog box displays the verification details of the signer certificate that was selected from the list box in the Verification Result dialog box.

Verification details are displayed in two parts - Verification of the data and verification of the certificate.

The Verification Details dialog box displays the following details:

  • Signature Verification Details
    This section displays the following details:

    • Content Verification
      If the verification of the contents of the document/file is successful, then it shows a green check mark against this option. If verification fails, i.e. data was altered after the document/file was signed, then it shows a red cross against this option.

      • Hash algorithm
        This displays the hash algorithm used while signing of the data.

    • Signer Certificate Expiry
      If the signer certificate has not expired then a green check is shown. If the certificate has expired, a red cross is displayed.

    • Signer Certificate Trust
      The verification process involves establishing a trust of the certificate chain beginning from the signer certificate right till the root certificate. If the trust is established, a green check is displayed. If the trust cannot be established, a red cross is displayed. In case where trust cannot be established for an intermediate certificate in the chain, a blue question mark is displayed.

  • Certificate Validation Result
    This shows the Validation results of signers’ certificate. Assured Office looks for the location of the CRL within the certificate, and caches the CRL from this location to your local machine. The certificate is validated against this CRL. For all subsequent validations, the certificate is validated against this cached CRL unless it has expired. In case the CRL has expired, the entire process of locating the CRL and retrieving a fresh CRL is repeated. If the location of the CRL is not found or if an expired CRL cannot be updated, a blue question mark is displayed. Clicking the Validate Certificate Online button will perform an online validation. A green check is displayed if certificate is valid and a red cross if the certificate is present in the CRL i.e. the certificate has expired or has been revoked.

            If the signer certificate includes information of the validation authority in the Authority Information Access field, Assured Office will try to connect to this validation authority using the OCSP mechanism and attempt an online validation of the certificate.

    If a Policy is present defining Validation Mechanism, the mechanism within the Policy will take precedence.

  • Certificate validation information
    The Certificate validation information displays textual information about the validation if certificate validation is performed. This includes the mechanism, which was used to perform the validation and the URL path of the server where the validation was performed. Click the Response Details button to view details of the validation.

  • Signer certificate
    This gives you the following options

    • View...
      Click this button to view the details of the signer certificate.

    • Policy...
      Click this button to view the certificate Policy attached to the signer certificate.

    • Save to File...
      Click this button to save the signer certificate on the system. You can use this saved certificate to encrypt files for the sender in future.

  • Close
    Exits the Verification Details dialog box.


Validation Response Details

When you perform online validation for a particular certificate you have the option to view the details of the validation response. The details displayed include:

  • Responder ID
    This displays the common name of the authority that signs the response.

  • Response Signing Time
    This displays the time at which the response was signed. This is true only in case the validation mechanism used was OCSP. This field is blank if validation mechanism was CRL.

  • Valid From
    All responses have a validity period. This displays the period from when the validation response is valid.

  • Valid To
    This displays to period to when the validation response is valid.

  • Revocation Time
    If the certificate being validated has been revoked the time of revocation is displayed here.

  • Revocation Reason
    This displays the reason for revocation of the certificate.

Save to file
Click this button to save the Validation response details. The file will be saved with a .OCSP or a .CRL extension depending on the validation mechanism used. If the file is saved with a .OCSP extension it will contain the DER encoding of the OCSP ResponseBytes.

Server Certificate
Click this button to view details of the certificate used by the server to sign the response.


Digital ID Details - DetailsTab

Details Tab

  • Certificate Subject
    This displays the Certificate Subject Name.

  • Show
    This option displays the current list of all X509 fields or extensions. You can select to view all or any one of the following

    • Version 1 Fields Only
    • Extensions Only
    • Critical Extensions Only
    • Properties Only

    Depending on the option you select the window below will display the list of the X509 fields, extensions and associated properties found in the certificate. The lower pane displays the details of the Field you highlight.


Digital ID Details - Genereal Tab

General Tab

The General Tab of the View Digital ID option displays details of the Certificate selected in the Select Digital ID to use list box. It displays the following details:

  • Issued To
    This displays the name of the individual or organization the certificate is issued to.

  • Issued By
    This displays the name of the Certificate Authority who issued the certificate.

  • Valid From - To -
    This displays the validity period of the certificate.

The last line in the Certificate Information box displays whether you have the private key associated with the certificate.


Select Digital ID Details

Select Digital ID

This option will display the details of the certificate you choose.

It displays three basic tabs

  • General Tab
  • Details Tab
  • Certification Path Tab


Digital ID Details - Certificatation Path Tab

Certification Path Tab

  • Certification Path
    This pane displays the certification path for the certificate.

  • Certificate Status
    This pane displays details like expiry, trust and revocation status of the certificate.

  • Save to file...
    Click this button to save the Certificate selected from the Certificate Chain to a file. This option allows you to save the certificate with a .cer extension.